﻿var gridManager = null, refreshFlag = false;
//定义控件列
const proofingMake=
	[
	{ display: "制造单号", name: "proofingMakeNo", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "申请单号", name: "proofingApplyNo", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "产品编号", name: "productId", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "品牌客户编号", name: "customerId", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "版面需求时间", name: "proofingApplyPageNeedTime", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "完成日期", name: "proofingApplyCompleteDate", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "样品中文名称", name: "proofingApplySampleCnName", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "样品英文名称", name: "proofingApplySampleEnName", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "样品版次", name: "proofingApplySampleVersion", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "样品规格", name: "proofingApplySampleSize", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "样品数量", name: "proofingApplySampleNum", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "产量情况", name: "proofingApplyOutputSituation", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "产品代号", name: "proofingApplyProductNo", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "版面", name: "materialName", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "分配方式", name: "proofingApplyAllocationType", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "产品类别", name: "materialName", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "表面处理", name: "proofingApplySurfaceTreatment", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "NG重新打样原因", name: "proofingApplyNgReReason", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "测试标准", name: "proofingApplyTestStandard", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "申请单状态", name: "proofingApplyApplicationStatus", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "颜色种类", name: "colorType", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "专", name: "expert", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "网版目数", name: "printingPlateNum", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "啤版目数", name: "beerPlateNum", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "模切板模数", name: "dieBoardNum", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "标准色号", name: "materialNumber", width: 120, minWidth: 60, type: "string", align: "left" },
	]


$(document).ready(function() {
	loadProofingMakeGrid(null,proofingMake,"proofingMakeTableGrid","slicedQueryProofingMake");//加载表格
});






//创建表格（参数、列、插入的节点、请求地址）
function loadProofingMakeGrid(param,columns,node,url) {

	const toolbarOptions =
		UICtrl.getDefaultToolbarOptions({
			addHandler: addHandler,
			updateHandler() {
				updateHandler();
			},
			deleteHandler: deleteHandler,
		})
	gridManager =  UICtrl.grid("#"+node, {
		columns: columns,
		dataAction: "server",
		url: web_app.name + '/proofingMake/'+url+'.ajax',
		parms:param,
		pageSize: 20,
		usePager: true,
		toolbar: toolbarOptions,
		width: "100%",
		height: "100%",
		heightDiff: -8,
		checkbox: true,
		fixedCellHeight: true,
		selectRowButtonOnly: true,
		//双击行响应事件
		onDblClickRow : function(data, rowindex, rowobj) {
			updateHandler(data.id);
		}
	});
	UICtrl.setSearchAreaToggle(gridManager);
}




function updateHandler(id){
	if(!id){
		var id = DataUtil.getUpdateRowId(gridManager);
		if (!id){ return; }
	}
	UICtrl.showAjaxDialog({
		url: web_app.name + '/codeRule/showLoadCodeRule.load',
		title: "修改BOM",
		width: 340,
		param:{id:id},
		ok: function(div){
			var _self=this;
			$('#submitForm',div).ajaxSubmit({url: web_app.name + '/codeRule/updateCodeRule.ajax',
				success : function() {
					_self.close();
					reloadGrid();
				}
			});
		}
	});
}

// 查询
function query(obj) {
	var param = $(obj).formToJSON();
	UICtrl.gridSearch(gridManager, param);
}

//刷新表格
function reloadGrid() {
	gridManager.loadData();
}

//重置表单
function resetForm(obj) {
	$(obj).formClean();
}

//关闭对话框
function dialogClose(){
	if(refreshFlag){
		reloadGrid();
		refreshFlag=false;
	}
}

//添加按钮
function addHandler() {
	// var resourceTypeId=$('#resourceTypeId').val();
	// if (Public.isBlank(resourceTypeId)) {
	// 	Public.tip('请选择资源！');
	// 	return;
	// }
	UICtrl.showAjaxDialog({
		title: $.i18nProp('添加BOM'),
		url : web_app.name + '/proofingApply/forwardAddBom.load',
		//init:initDetailDialog,
		//  param:{resourceTypeId:resourceTypeId},
		ok : insert,
		width : 600,
		close : dialogClose
	});
}

//新增保存
function insert() {
	var _self=this;
	$('#submitDetailForm').ajaxSubmit({
		url : web_app.name + '/resourceField/saveResourceFiledValue.ajax',
		param:{},
		success : function(data) {
			if (data == "1"){
				Public.successTip("保存成功！");
			}
			_self.close();
			reloadGrid();
		}
	});
}

//编辑按钮
function updateHandler(id) {
	if (!id) {
		//获取所选行id
		id = DataUtil.getUpdateRowId(gridManager);
		if (!id) {
			return;
		}
	}
	UICtrl.showAjaxDialog({
		title: $.i18nProp('更新Bom'),
		width: 600,
		url: web_app.name + '/proofingApply/forwardAddBom.load',
		param: {id: id,resourceTypeId: $('#resourceTypeId').val()},
		ok: update,
		close:dialogClose
	});
}

//编辑保存
function update() {
	var _self=this;
	$('#submitDetailForm').ajaxSubmit({
		url : web_app.name + '/proofingApply/updateResourceFiledValue.ajax',
		success : function(data) {
			if (data == "1"){
				Public.successTip("修改成功！");
			}
			refreshFlag = true;
			_self.close();
			reloadGrid();
		}
	});
}

//删除按钮
function deleteHandler() {
	DataUtil.del({
		action: 'resourceField/deleteResourceFiledValue.ajax',
		param:{
			id:DataUtil.getUpdateRowId(gridManager),
			resourceTypeId: $('#resourceTypeId').val()
		},
		gridManager: gridManager, idFieldName: 'id',
		onSuccess: function (data) {
			if (data == "1"){
				Public.successTip("删除成功！");
			}
			reloadGrid();
		}
	});
}

